Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156804 - RFE: if changing selinux targeted->strict or reverse, do "touch /.autorelabel"
Summary: RFE: if changing selinux targeted->strict or reverse, do "touch /.autorelabel"
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-04 12:47 UTC by Gene Czarcinski
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-23 14:58:31 UTC


Attachments (Terms of Use)

Description Gene Czarcinski 2005-05-04 12:47:31 UTC
Description of problem:
After changing the selinux "type" (e.g., targeted -> strict), you need to do
"touch /.autorelabel" and then reboot.

Add code to system-config-securitylevel to do the "touch" automatically.

You need to do the relabel when rebooting to "fix everything" for the new policy
definitions.

Comment 1 Chris Lumens 2005-05-04 15:22:40 UTC
What version of system-config-securitylevel?  It's working fine for me under
1.5.7-1.

Comment 2 Chris Lumens 2005-09-23 14:58:31 UTC
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received the feedback we
requested, we will assume the problem was not reproduceable or has been fixed in
a later update for this product.  If you have further details, feel free to
reopen the report with the additional details attached.


Note You need to log in before you can comment on or make changes to this bug.